Skip to main content
GET
/
repos
/
{org}
List repos
curl --request GET \
  --url https://app.kosli.com/api/v2/repos/{org} \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "per_page": 123,
  "total_pages": 123,
  "total_count": 123,
  "repos": [
    {
      "name": "<string>",
      "url": "<string>",
      "provider": "github",
      "repo_id": "<string>",
      "description": "<string>",
      "latest_activity": "<string>",
      "_links": {}
    }
  ],
  "_links": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:15

Number of repos per page

Required range: 1 <= x <= 50
name
string | null

Filter by repo name (exact match). This is ignored if repo_id is provided. Returns empty list if no match.

provider
enum<string> | null

Filter by VCS provider (e.g. github, gitlab, bitbucket, azure-devops, circleci).

Available options:
github,
gitlab,
bitbucket,
azure-devops,
circleci
repo_id
string | null

Filter by external repo ID (exact match). Returns empty list if no match.

Response

Successful Response

page
integer
required
per_page
integer
required
total_pages
integer
required
total_count
integer
required
repos
RepoResponse · object[]
required
Last modified on April 9, 2026